Skip to content

License Types ​


The license types define the type of licenses of a group.

List all license types ​

Use this endpoint to retrieve all license types currently assigned to a group.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/license_types

Authorization ​

Required role

groups.instance.license_types.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group

URL/Query parameters ​

ParameterTypeDescriptionRequired?
searchstringUsed to perform a search through full_license type that look like the string passedno
sortstringAllows to specify one searchable property of an license type to apply a sorting operationno
dirstringWhen performing a sort operation, specifies the type. Allowed values are asc for ascending (default) or desc for descendingno
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
pageintegerUsed for pagination, determines the returned page from the collection of result pages (defaults to 1)no

Response ​

Status codes ​

ParameterDescription
200One or more license types found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
license typesarrayList containing all license types found for the groupno
License Type Object ​
ParameterTypeDescriptionConditional?
idintegerIndex of the license typeno
descriptionstringThe descriptionno
namestringThe nameno
skustringThe skuno

License Format Type ​

Name of the license type format type.

Value in enumeration:

  • google
Example ​
json
{
    "license_types": [
        {
            "description": "License 1",
            "id": 1,
            "name": "License 1",
            "sku": "license1"
        },
        {
            "description": "License 2",
            "id": 2,
            "name": "License 2",
            "sku": "license2"
        }
    ],
    "page": 1,
    "pages": 1,
    "results": 2
}

Get a specific license type ​

The following endpoint returns a specific license type.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/license_types/{id}

Authorization ​

Required role

groups.instance.license_types.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group
idintegerIndex of the license type you want to retrieve

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200The license type if found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No license type found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
idintegerIndex of the license typeno
descriptionstringThe descriptionno
extraobjectObject containing extra datano
namestringThe nameno
skustringThe skuno
Example ​
json
{
    "description": "License 1",
    "extra": {},
    "id": 1,
    "name": "License 1",
    "sku": "license1"
}

Create a new license type ​

Use this endpoint to create a new license type

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/groups/{uuid}/license_types

Authorization ​

Required role

groups.instance.license_types.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired
descriptionstringThe descriptionno
extraobjectObject containing extra datano
namestringThe nameyes
skustringThe skuyes

Example ​

json
{
    "description": "License 2",
    "name": "License 2",
    "sku": "license2"
}

Response ​

Status codes ​

ParameterDescription
201The license type was created successfully
400Error while creating the license type
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
idintegerIndex of the license typeno
descriptionstringThe descriptionno
extraobjectObject containing extra datano
namestringThe nameno
skustringThe skuno
Example ​
json
{
    "description": "License 2",
    "extra": {},
    "id": 2,
    "name": "License 2",
    "sku": "license2"
}

Modify an existing license type ​

Use this endpoint to modify an existing license type.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/groups/{uuid}/license_types/{id}

Authorization ​

Required role

groups.instance.license_types.instance.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group for which you want to modify the license type
idintegerIndex of the license type you want to update

<URL/Query parameters> ​

N/A

Body ​

ParameterTypeDescriptionRequired
descriptionstringThe descriptionno
extraobjectObject containing extra datano
namestringThe nameno
skustringThe skuno

Example ​

json
{
    "description": "License 2",
    "name": "License 2",
    "sku": "license2"
}

Response ​

Status codes ​

ParameterDescription
200The license type was updated successfully
400Error while updating the license type
403The API consumer doesn't have sufficient rights to perform this action
404The license type does not exist
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
descriptionstringThe descriptionno
extraobjectObject containing extra datano
namestringThe nameno
skustringThe skuno
Example ​
json
{
    "description": "License 2",
    "extra": {},
    "name": "License 2",
    "sku": "license2"
}

Delete a license type ​

Use this endpoint to delete an existing license type.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/groups/{uuid}/license_types/{id}

Authorization ​

Required role

groups.instance.license_types.instance.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group
idintegerIndex of the license type you want to delete

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
204The license type was deleted successfully. If the license type didn't exist, delete will be considered as being executed successfully
400Error while deleting the license type
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

N/A